View Issue Details

IDProjectCategoryView StatusLast Update
0001927FreeCADFeaturepublic2016-11-01 15:49
ReportershoogenAssigned Toshoogen 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001927: Abillity to disable all recomputes
DescriptionCurrently i need to run FreeCAD in a debugger and use breakpoint in
App::Document::recompute() order to prevent FreeCAD from running execute functions due to recomputes.

Currently the users can't upload a file with a Feature that crashes FreeCAD. With recomputes disabled the user would be able to save a file without the need to describe all parameters used.

Currently i need to step over all the recomputes in the debugger in order be able to use the DRAWEXE exporter.

The configuration options, doesn't need any GUI it, would be sufficant to be accessible from python and of course it should not be saved.
Maybe it would be desireable that requesting a manual recompute in the GUI would reset the option. But this should not apply to the doc.recompute() python binding, as it used all across python Workbenches (such as Draft)
TagsNo tags attached.

Relationships

related to 0000491 closedabdullah Sketcher Sketcher: Do not recompute dependent objects if in edit mode 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-01-17 16:23 shoogen New Issue
2015-01-28 15:45 shoogen Category Feature => Merge request
2015-01-28 15:45 shoogen Target Version => 0.15
2015-01-28 16:07 shoogen Relationship added related to 0000491
2015-03-11 09:04 shoogen Target Version 0.15 => 0.16
2016-01-19 01:55 yorik Target Version 0.16 =>
2016-02-23 14:17 yorik Category Merge request => Feature
2016-11-01 15:49 shoogen Status new => closed
2016-11-01 15:49 shoogen Assigned To => shoogen
2016-11-01 15:49 shoogen Resolution open => fixed
2016-11-01 15:49 shoogen Fixed in Version => 0.17